/*
 * $Id: libgnac-debug.c 239 2009-03-11 10:09:00Z bdupasqu $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 *
 */ 

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

#include <glib.h>

#include "libgnac-debug.h"

void
libgnac_debug_real(const gchar *func,
                   const gchar *file,
                   const gint   line,
                   const gchar *format, 
                   ...)
{
#ifdef GNOME_ENABLE_DEBUG
	va_list args;
	char buffer[1025];

	va_start(args, format);
	g_vsnprintf(buffer, 1024, format, args);
	va_end(args);

  g_printerr("[DEBUG] %s:%d: %s\n", file, line, buffer);
#endif
}


void
libgnac_critical(const gchar *format, ...)
{
	va_list args;
	char buffer[1025];

	va_start(args, format);
	g_vsnprintf(buffer, 1024, format, args);
	va_end(args);

  g_printerr("[CRITICAL] %s\n", buffer);
}


void
libgnac_warning(const gchar *format, ...)
{
	va_list args;
	char buffer[1025];

	va_start(args, format);
	g_vsnprintf(buffer, 1024, format, args);
	va_end(args);

  g_printerr("[WARNING] %s\n", buffer);
}


void
libgnac_info(const gchar *format, ...)
{
	va_list args;
	char buffer[1025];

	va_start(args, format);
	g_vsnprintf(buffer, 1024, format, args);
	va_end(args);

  g_print("[INFO] %s\n", buffer);
}
