/*
 * $Id: libgnac-debug.h 239 2009-03-11 10:09:00Z bdupasqu $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 *
 *  NOTES: log idea stolen from rhythmbox
 */ 

#ifndef __LIBGNAC_DEBUG_H__
#define __LIBGNAC_DEBUG_H__

#include <glib.h>

#if defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L
#define libgnac_debug(...) \
        libgnac_debug_real (__func__, __FILE__, __LINE__, TRUE, __VA_ARGS__)
#elif defined(__GNUC__) && __GNUC__ >= 3
#define libgnac_debug(...) \
        libgnac_debug_real (__FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
#else
#define libgnac_debug
#endif

G_BEGIN_DECLS

void 
libgnac_debug_real(const gchar *func,
				           const gchar *file,
				           gint         line,
				           const gchar *format, 
                   ...);

void
libgnac_critical(const gchar *format, ...);

void
libgnac_warning(const gchar *format, ...);

void
libgnac_info(const gchar *format, ...);

G_END_DECLS

#endif /* __LIBGNAC_DEBUG_H__ */
