/*
 * $Id: gnac-main.h 304 2009-04-01 18:45:14Z daiji $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef GNAC_MAIN_H
#define GNAC_MAIN_H

#include <gio/gio.h>
#include <gtk/gtk.h>

#include "libgnac-converter.h"

typedef enum {
  GNAC_AUDIO_EMPTY_STATE,
  GNAC_AUDIO_FILE_ACTION_STATE,
  GNAC_AUDIO_READY_STATE,
  GNAC_AUDIO_CLEAR_STATE,
  GNAC_AUDIO_CONVERT_STATE,
  GNAC_AUDIO_PAUSED_STATE
} GnacState;

void
gnac_add_file(GFile *file);

/* UI Callbacks */

void
gnac_on_ui_convert_cb(GtkWidget *widget, 
                      gpointer   data);

void
gnac_on_ui_profile_changed_cb(GtkComboBox *box, 
                             gpointer      data);


void
gnac_on_ui_pause_cb(GtkWidget *widget, 
                    gpointer   data);

void
gnac_on_ui_add_cb(GtkWidget *widget, 
                  gpointer   data);

void
gnac_on_ui_remove_cb(GtkWidget *widget, 
                     gpointer   data);

void
gnac_on_ui_clear_cb(GtkWidget *widget, 
                    gpointer   data);

void
gnac_on_ui_help_cb(GtkWidget *widget, 
                   gpointer   data);

gboolean
gnac_on_ui_destroy_cb(GtkWidget *widget, 
                      gpointer   data);

void
gnac_on_ui_properties_cb(GtkWidget *widget, 
                         gpointer   user_data);

void
gnac_on_ui_drag_data_received_cb(GtkWidget        *widget, 
                                 GdkDragContext   *context, 
                                 gint              x, 
                                 gint              y,
                                 GtkSelectionData *selection_data, 
                                 guint             info, 
                                 guint             time, 
                                 gpointer          data);

void
gnac_on_file_monitor_changed_cb(GFileMonitor      *monitor,
                                GFile             *file,
                                GFile             *other_file,
                                GFileMonitorEvent  event_type,
                                gpointer           user_data);

void
gnac_file_chooser_response(GtkDialog *dialog, 
                           gint       response, 
                           gpointer   user_data);

#endif /* GNAC_MAIN_H */
