/*
 * $Id: gnac-ui.h 365 2009-07-07 22:15:39Z bdupasqu $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *
 *    - DUPASQUIER Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM    David     <daiji@users.sourceforge.net>
 *    - ROUX       Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef GNAC_UI_H
#define GNAC_UI_H

#include <gconf/gconf-client.h>
#include <glib/gi18n.h>
#include <gtk/gtk.h>
#include <gtk/gtkaboutdialog.h>

enum {
  TARGET_STRING
};

void
gnac_ui_set_progress_fraction(gdouble fraction);

void
gnac_ui_set_progress_text(gchar *text);

void 
gnac_ui_show_progress(gboolean show);

gboolean
gnac_ui_pulse_progress(void);

void 
gnac_ui_show_pause(gboolean show);


void
gnac_ui_push_status(const gchar *message);

void
gnac_ui_append_status(const gchar *message);

void
gnac_ui_disable_profiles(void);

void
gnac_ui_enable_profiles(void);

void
gnac_ui_show_about_dialog(void);

void
gnac_ui_new(void);

GtkWidget *
gnac_ui_get_widget(const gchar *widget_name);

GtkAction *
gnac_ui_get_action(const gchar *widget_name);

void 
gnac_ui_destroy(void);

void
gnac_ui_show(void);

void 
gnac_ui_show_popup_menu(GtkWidget      *treeview, 
                        GdkEventButton *event, 
                        gpointer        user_data);

/* Status icon */
gboolean
gnac_ui_query_tooltip_cb(GtkStatusIcon *status_icon,
                         gint           x,
                         gint           y,
                         gboolean       keyboard_mode,
                         GtkTooltip    *tooltip,
                         gpointer       user_data);

void
gnac_ui_show_trayicon(void);

void
gnac_ui_hide_trayicon(void);

void
gnac_ui_on_trayicon(GtkStatusIcon *trayicon,
                    gpointer       data);

void
gnac_ui_on_trayicon_popup(GtkStatusIcon *trayicon,
                          guint          button,
                          guint          activate_time,
                          gpointer       data);

void
gnac_ui_trayicon_tooltip_update(const gchar *tooltip);

void
gnac_ui_trayicon_menu_stop(gpointer data, 
                           gpointer user_data);

void
gnac_ui_trayicon_menu_pause(gpointer data, 
                            gpointer user_data);

void
gnac_ui_trayicon_menu_quit(GtkWidget *widget, 
                           gpointer   data);

/* Error dialogs */

gint
gnac_ui_show_error_trash(const gchar *filename);

#endif /* GNAC_UI_H */
