/*
 * $Id: gnac-utils.h 366 2009-07-08 20:57:30Z bdupasqu $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef GNAC_UTILS_H
#define GNAC_UTILS_H

#include <gtk/gtk.h>

gchar *
gnac_utils_get_display_name(const gchar  *uri, 
                            GError      **error);

gchar *
gnac_utils_format_duration_for_display(guint64 duration);

void
gnac_utils_moving_avg_init(void);

guint64 
gnac_utils_moving_avg_add_sample(guint64 sample);

void
gnac_utils_moving_avg_reset(void);

gint
gnac_utils_get_combo_size(GtkComboBox *combo);

/* scale pixbuf to width x height while keeping the aspect ratio */
GdkPixbuf *
gnac_utils_scale_pixbuf(GdkPixbuf *pixbuf,
                        gint       width,
                        gint       height);

/* add a one pixel black border around pixbuf */
GdkPixbuf *
gnac_utils_add_border_to_pixbuf(GdkPixbuf *pixbuf);

#endif /* GNAC_UTILS_H */
